Subject: Re: [PATCH 1/4] builtin/interpret-trailers.c: allow -t

From: Matthieu Moy <[email-masked]>
Date: Thu, 07 Apr 2016 19:17:42 +0200

Junio C Hamano <[email-masked]> writes:

> "Michael S. Tsirkin" <[email-masked]> writes:
>
>> Allow -t as a short-cut for --trailer.
>>
>> Signed-off-by: Michael S. Tsirkin <[email-masked]>
>> ---
>
> As I do not think interpret-trailers is meant to be end-user facing,
> I am not sure I should be interested in this step.
>
> I am in principle OK with the later step that teaches a single
> letter option to end-user facing "git am" that would be turned into
> "--trailer" when it calls out to "interpret-trailers" (I haven't
> checked if 't' is a sensible choice for that single letter option,
> though).

If 'am' has -t == --trailer, I think it makes sense to have the same
shortcut in interpret-trailers for consistency.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/